<?php
error_reporting(E_ALL);
session_start();
define('H', $_SERVER['DOCUMENT_ROOT'].'/');
require(H . '/AntiHack.php');
       $lq = new AntiHack;
       if (isset($_GET))$_GET = $lq->filter($_GET, 'get');
       if (isset($_POST))$_POST = $lq->filter($_POST, 'post');
       if (isset($_FILES))$_FILES = $lq->filter($_FILES, 'files');
       if (isset($_COOKIE))$_COOKIE = $lq->filter($_COOKIE, 'cookie');
       if (isset($_SERVER))$_SERVER = $lq->filter($_SERVER, 'server');
       if (isset($_REQUEST))$_REQUEST = $lq->filter($_REQUEST, 'request');
     unset($lq);
if (isset($_GET['_1118538408(0)']))die('Этот способ взлома больше не работает. (с) Кредитор');

define('HOST', 'http://'.$_SERVER['HTTP_HOST']);
define('Z', '</li><li>');
define('MODEL', H.'/system/model/');
define('VIEW', H.'/system/view/');
define('CONTROLLER', H.'/system/controller/');

$get = isset($_GET['route']) ? '/'.$_GET['route'] : '/site/index';

function __autoload($name) {
	$file = H.'/system/classes/'.$name.'.class.php';
	if(file_exists($file)) require_once $file;
}

unset($check_url);

new User();

Route::start($get);

?>